edu.sc.seis.sod.status.waveformArm

## Class WaveformEventTemplateGenerator

- java.lang.Object
- - edu.sc.seis.sod.status.waveformArm.WaveformEventTemplateGenerator

- All Implemented Interfaces:
    SodElement, EventMonitor, WaveformMonitor

      public class WaveformEventTemplateGenerator
      extends java.lang.Object
      implements EventMonitor, WaveformMonitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformEventTemplateGenerator(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `change(edu.sc.seis.fissuresUtil.cache.CacheEvent event, Status status)`
    `void` | `setArmStatus(java.lang.String status)`
    `void` | `update(EventChannelPair ecp)`
    `void` | `update(EventNetworkPair ecp)`
    `void` | `update(EventStationPair ecp)`
    `void` | `update(EventVectorPair ecp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformEventTemplateGenerator

          public WaveformEventTemplateGenerator(org.w3c.dom.Element el)
                                         throws java.io.IOException,
                                                org.xml.sax.SAXException,
                                                javax.xml.parsers.ParserConfigurationException,
                                                ConfigurationException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`
        `javax.xml.parsers.ParserConfigurationException`
        `ConfigurationException`

  - ### Method Detail

    - #### change

          public void change(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                             Status status)

      Specified by:
        `change` in interface `EventMonitor`

    - #### setArmStatus

          public void setArmStatus(java.lang.String status)

      Specified by:
        `setArmStatus` in interface `EventMonitor`

    - #### update

          public void update(EventNetworkPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventStationPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventChannelPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventVectorPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`